package cds.charac.tools;

import java.io.*;

import javax.swing.JTextField;
/**
 * @author Administrateur
 *
 */
public class UtilitiesAndControle {
	/**
	 * Cette fonction permet de tester  si le contenu du  JTextField(chemin absolu) pass en parametre
	 * reference bien un fichier existant et de dtrminer s'il est un fichier ou un repertoire
	 *  
	 * @param t JTextfiel contenant le chemin absolu du fichier en question
	 * @return 0 si le fichier referenc par le chemin absolu n'existe pas,
	 *  1 si ce dernier est un repertoire,
	 *  2 s'il est un fichier
	 */
	static public int testFileExist(JTextField t){
		int r=2;//par defaut on considere que c'est un fichier
		File f=new File(t.getText().trim());
		if(!f.exists())
			r=0;//le fichier n'existe pas
		else
			if(f.isDirectory())
				r=1;// le fichier est un repertoire
		
		return r;
	}

}
